> ## Documentation Index
> Fetch the complete documentation index at: https://docs.menuia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Dispositivos

## Descrição

Este endpoint permite obter informações sobre todos os dispositivos registrados, incluindo ID, webhook, nome, número de telefone e a chave de autenticação (`authkey`).

### Parâmetros

<ParamField body="authkey" type="string" required>
  Chave de autenticação do usuário.
</ParamField>

<ParamField body="message" type="string" required>
  Deve ser "false" para indicar que o objetivo é obter as informações dos dispositivos.
</ParamField>

<ParamField body="dispositivos" type="string" required>
  Deve ser "true" para ativar a consulta das informações dos dispositivos.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://chatbot.menuia.com/api/developer \
    -H "Content-Type: application/json" \
    -d '{
      "authkey": "SUA_AUTHKEY_AQUI",
      "message": "false",
      "dispositivos": "true"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://chatbot.menuia.com/api/developer', {
    method: 'POST',
    headers: { 'Content-Type': 'application/json' },
    body: JSON.stringify({
      authkey: 'SUA_AUTHKEY_AQUI',
      message: 'false',
      dispositivos: 'true'
    })
  });
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://chatbot.menuia.com/api/developer',
      json={
          'authkey': 'SUA_AUTHKEY_AQUI',
          'message': 'false',
          'dispositivos': 'true'
      }
  )
  ```

  ```php PHP theme={null}
  $response = Http::post('https://chatbot.menuia.com/api/developer', [
      'authkey' => 'SUA_AUTHKEY_AQUI',
      'message' => 'false',
      'dispositivos' => 'true'
  ]);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Sucesso theme={null}
  {
    "status": 200,
    "dispositivos": [
      {
        "id": "123",
        "nome": "Dispositivo 1",
        "telefone": "+5511999999999",
        "webhook": "https://exemplo.com/webhook",
        "authkey": "AUTHKEY_DO_DISPOSITIVO"
      }
    ]
  }
  ```

  ```json 401 - Erro de validação theme={null}
  {
    "status": 401,
    "message": "validation.required"
  }
  ```

  ```json 404 - Nenhum dispositivo encontrado theme={null}
  {
    "status": 404,
    "message": "Nenhum dispositivo encontrado."
  }
  ```
</ResponseExample>
